docker 安装问题

安装报错 · liutianyi · 于 2个月前 发布 · 101 次阅读

问题 总结

执行 docker-compose build 报错 我将 docker-compose.yml.aliyun 内容覆盖 docker-compose.yml

cp docker-compose.yml docker-compose.ymlold

rm -r f docker-compose.yml

cp docker-compose.yml.aliyun docker-compose.yml

到下面 执行 docker-compose exec php bash 的时候 我用的 还是 阿里云的 源 所以 执行 composer create-project fancyecommerce/fecshop-app-advanced fecshop 1.4.4.0
的时候报错

file could not be downloaded

所以 执行 composer create-project fancyecommerce/fecshop-app-advanced fecshop 1.4.4.0 之前要换回 原来的 源

rm -rf docker-compose.yml

mv docker-compose.ymlold docker-compose.yml

如果 你不小心 没有 修改回原来的 源就执行了 composer create-project fancyecommerce/fecshop-app-advanced fecshop 1.4.4.0 得先删除 /www/web/fecshop 不然改回原来的源还会报错 fecshop is not empty !!!!

亲自走过的道

本文由 liutianyi 创作,采用 知识共享署名 3.0 中国大陆许可协议 进行许可。 可自由转载、引用,但需署名作者且注明文章出处。

共收到 2 条回复
Fecshop#12个月前 0 个赞

不熟悉docler,先用小白版的docker教程搭建吧

http://www.fecshop.com/topic/1830

liutianyi#22个月前 0 个赞

密码已经配置 数据库地址 是远程的
导入mysql he mongodb表的时候都报错

添加回复 (需要登录)
需要 登录 后方可回复, 如果你还没有账号请点击这里 注册
Your Site Analytics